#
# Copyright 2009 Cedric Priscal
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License. 
#

LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

TARGET_PLATFORM := android-3
LOCAL_MODULE    := mango_standard
LOCAL_SRC_FILES := mango_standard.c gpio_helper.c 
					
#TSLIB
LOCAL_SRC_FILES += \
	tslib/src/fbutils.c \
	tslib/src/font_8x16.c \
	tslib/src/font_8x8.c \
	tslib/src/testutils.c \
	tslib/src/ts_attach.c \
	tslib/src/ts_calibrate.c \
	tslib/src/ts_close.c \
	tslib/src/ts_config.c \
	tslib/src/ts_error.c \
	tslib/src/ts_fd.c \
	tslib/src/ts_load_module.c \
	tslib/src/ts_open.c \
	tslib/src/ts_parse_vars.c \
	tslib/src/ts_read.c \
	tslib/src/ts_read_raw.c

LOCAL_C_INCLUDES :=\
	$(LOCAL_PATH)/. \
	$(LOCAL_PATH)/tslib/include/ \
	


LOCAL_LDLIBS    := -llog

include $(BUILD_SHARED_LIBRARY)
