package android.gpio.sample;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.TextView;

import java.io.BufferedReader;
import java.io.FileDescriptor;
import java.io.IOException;
import java.io.InputStreamReader;


import android.gpio.sample.R;
import android.util.Log;


public class MainActivity extends Activity {
	 
	@Override    
	   public void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);
	         setContentView(R.layout.main);
	    	
	        //	        Log.i("[CRZ]", "main TTTTEEEESSSSSTTTTT");
//	        TextView tv = (TextView)findViewById(R.id.ButtonSerial);
	        //tv.setVisibility(View.INVISIBLE);
	        
	        try {
	        	   Process p = Runtime.getRuntime().exec("chmod 777 /dev/ttySAC*");
	        	   //Process p2 = Runtime.getRuntime().exec("chmod 777 /dev/ttySAC*");
	        	   
	        	   BufferedReader reader = new BufferedReader(new InputStreamReader(p.getInputStream()));
	        	   String result;
	        	   while((result = reader.readLine())!=null){
	        	    Log.d("result", result);
	        	   }
	        	   reader.close();
	        	   
	        	  } catch (IOException e) {
	        	   e.printStackTrace();
	        	  }
	      
	        
	        final Button buttonGpio = (Button)findViewById(R.id.ButtonGpio);
	        buttonGpio.setOnClickListener(new View.OnClickListener() {
				public void onClick(View v) {
					startActivity(new Intent(MainActivity.this, GpioActivity.class));
				}
			});

	        final Button buttonSerial = (Button)findViewById(R.id.ButtonSerial);
	        buttonSerial.setOnClickListener(new View.OnClickListener() {
				public void onClick(View v) {
					startActivity(new Intent(MainActivity.this, MainMenu.class));
				}
			});
	        
   
	        
	        
	        final Button buttonTScal = (Button)findViewById(R.id.ButtonTS);
	        buttonTScal.setOnClickListener(new View.OnClickListener() {
				public void onClick(View v) {
					startActivity(new Intent(MainActivity.this, TScalActivity.class));
//					Tscalthread tscal = new Tscalthread();
					//tscal.start();
/*					try {
					    Thread.sleep(600000);
					} catch (InterruptedException e) {
					    e.printStackTrace();
					}
					tscal.stop();*/
					/*
					
					tscal();
					
					try {
					    Thread.sleep(1000);
					} catch (InterruptedException e) {
					    e.printStackTrace();
					}*/

				}
				
			});    
	        
	        final Button buttonQuit = (Button)findViewById(R.id.ButtonQuit);
	        buttonQuit.setOnClickListener(new View.OnClickListener() {
				public void onClick(View v) {
					MainActivity.this.finish();
				}
			});    

	        
	   }
	        
		/*	try {
			    Thread.sleep(1000);
			} catch (InterruptedException e) {
			    e.printStackTrace();
			}
			
			tscal();
			
			try {
			    Thread.sleep(1000);
			} catch (InterruptedException e) {
			    e.printStackTrace();
			}*/

		//}

	/*public native int tscal();		
	public native int unimplementedtscal();
	
	static {
		System.loadLibrary("mango_standard");
	}
*/
	 
}
