package android.gpio.sample;

import java.io.IOException;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.res.Resources;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.gpio.sample.R;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.ViewGroup.LayoutParams;
import android.view.WindowManager;
import android.widget.*;


public class TScalActivity extends Activity{
	private Bitmap image;
	int i=0;
	TextView tv_1 ;
	TextView tv_2 ;
	TextView tv_3 ;
	TextView tv_4 ;
	TextView tv_5 ;
	private boolean isPlay = true;
	 
    public void stopThread() {
        isPlay = !isPlay; 
    }
    
    public Handler handler = new Handler (){
        public void handleMessage(Message msg) {
            super.handleMessage(msg);
            AlertDialog.Builder alert = new AlertDialog.Builder(TScalActivity.this);
            alert.setPositiveButton("Ȯ", new DialogInterface.OnClickListener() {
                @Override
                public void onClick(DialogInterface dialog, int which) {               
                dialog.dismiss();     //ݱ
                android.os.Process.killProcess(android.os.Process.myPid());
                }
            });
            if(msg.what == 2)  alert.setMessage("ġ ");
            else alert.setMessage("ġ  Ϸ. ϼ");
            alert.show();
            }    
    };
	@Override    
	   public void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);	  
	        requestWindowFeature(Window.FEATURE_NO_TITLE);
	        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);        
	    	
	    	Log.d("CRZ","Oh Oh Oh OHHHOOOOOO");
	        //setContentView(new Drawimage(this));
	        setContentView(R.layout.tscal);
	        
	    	//Tscalthread ts_thr= new Tscalthread(); 
	        //ts_thr.start();
	       
	    
	       	 new Thread(new Runnable() {           
                 public void run() {       
                	 int ret = -1;
        			 	ret = tscal();
        				while(isPlay){	
        					Log.d("CRZ", "TS Thread CAL Start!!");	
        					if(ret == 0 )
        						{
	        						Message msg = new Message();		
	        						this.stopThread();
	        						msg.what = 0;
	        						handler.sendMessage(msg);
	        						
        							Log.d("CRZ", "TS Thread CAL Stop!!");	
        						}
        					if(ret == 2 ) 
        					{
        						Message msg = new Message();		
        						this.stopThread();
        						msg.what = 2;
        						handler.sendMessage(msg);
        				
        						Log.d("CRZ", "Return 2 Get Value Error TS Thread CAL Stop!!");	
        					}			
        				try {
        					Thread.sleep(1000); //1second
        				} catch (InterruptedException e) {        					
        					// TODO Auto-generated catch block 
        					e.printStackTrace();
        				}	
        			  }        	
                 }

				private void stopThread() {
					// TODO Auto-generated method stub
				    isPlay = !isPlay;						
				}
	            }).start();            	 
	        
	    	Log.d("CRZ","TSACTIVITY START!!");

	   }

	public boolean onKeyDown(int keyCode, KeyEvent event){
		  switch(keyCode){
		  case KeyEvent.KEYCODE_BACK:

		     //moveTaskToBack(true); // Activity finish ٸ Activity ߴ  .
		     //finish();
		     isPlay = !isPlay;
		     android.os.Process.killProcess(android.os.Process.myPid()); 
		     // -> ش  μ  KillŲ.
	
		  }		   
		  return true;
		 }

	@Override
	 public boolean onTouchEvent(MotionEvent event) {		
	  switch(event.getAction()) {
	  case MotionEvent.ACTION_DOWN:
		  ((TextView)findViewById(R.id.tv1)).setVisibility(View.INVISIBLE);
		  ((TextView)findViewById(R.id.tv2)).setVisibility(View.INVISIBLE);
		  ((TextView)findViewById(R.id.tv3)).setVisibility(View.INVISIBLE);
		  ((TextView)findViewById(R.id.tv4)).setVisibility(View.INVISIBLE);
		  ((TextView)findViewById(R.id.tv5)).setVisibility(View.INVISIBLE);
	   break;
	  case MotionEvent.ACTION_UP:
		  i++;	  
		  Log.d("asdf","cnt = "+i);
		  if(i == 1) ((TextView)findViewById(R.id.tv2)).setVisibility(View.VISIBLE);
		  else if(i == 2) ((TextView)findViewById(R.id.tv3)).setVisibility(View.VISIBLE);
		  else if(i == 3) ((TextView)findViewById(R.id.tv4)).setVisibility(View.VISIBLE);
		  else if(i == 4) ((TextView)findViewById(R.id.tv5)).setVisibility(View.VISIBLE);
		  //else if(i == 5) ts_thr.stop();   

		  
	   break;
	  }
	  
	  return true;
	 }
	
	
	 public Bitmap drawTextToBitmap(TScalActivity tScalActivity,  int resourceId,  String mText,int x, int y) {
		    try {
		    		Resources resources = tScalActivity.getResources();
		            float scale = resources.getDisplayMetrics().density;
		            Bitmap bitmap = BitmapFactory.decodeResource(resources, resourceId);

		            android.graphics.Bitmap.Config bitmapConfig =   bitmap.getConfig();
		            // set default bitmap config if none
		            if(bitmapConfig == null) {
		              bitmapConfig = android.graphics.Bitmap.Config.ARGB_8888;
		            }
		            // resource bitmaps are imutable,
		            // so we need to convert it to mutable one
		            bitmap = bitmap.copy(bitmapConfig, true);

		            Canvas canvas = new Canvas(bitmap);
		            // new antialised Paint
		            Paint paint = new Paint(Paint.ANTI_ALIAS_FLAG);
		            // text color - #3D3D3D
		            paint.setColor(Color.rgb(110,110, 110));
		            // text size in pixels
		            paint.setTextSize((int) (12 * scale));
		            // text shadow
		            paint.setShadowLayer(1f, 0f, 1f, Color.DKGRAY);

		            // draw text to the Canvas center
		            Rect bounds = new Rect();
		            paint.getTextBounds(mText, 0, mText.length(), bounds);

		          canvas.drawText(mText, x , y, paint);

		            return bitmap;
		    } catch (Exception e) {		        // TODO: handle exception
		        return null;
		    } 

		  } 
	public native int tscal();		
	public native int unimplementedtscal();
	
	static {
		System.loadLibrary("mango_standard");
	}
	

}
